/*jslint browser: true, sloppy: true, white: true, nomen: true, plusplus:true, maxerr: 50, indent: 2 */
/*global jQuery:false, iScroll:false */

/*jshint forin:true, noarg:true, noempty:true, eqeqeq:true, bitwise:true, strict:true,
         undef:true, curly:true, browser:true, jquery:true, indent:2, maxerr:50,
         white:false, nomen:false */

//-------------------------------------------------------
// Pull-Up and Pull-Down callbacks for "Pull" page
//-------------------------------------------------------
(function pullPagePullImplementation($){
	"use strict";
	var pullDownGeneratedCount = 0,
		pullUpGeneratedCount = 0,
		listSelector = "div.iscroll-wrapper ul.ui-listview",
		lastItemSelector = listSelector + " > li:first-child";
	function gotPullDownData(event, data){
		var iscrollview = data.iscrollview;
		var hisSearchpara=	$.mbank.context.hisSearchValue;
		var showNum = hisSearchpara.turnPageBeginPos;
	
		if (showNum <= 1) {
			$.mbank.myAlert("对不起，已经是第一页了");
		} else {
			--showNum;
			var params = {
					"currentBusinessCode": "MB000063",
					"logRecordFlag": "0",
					"channelNumber": "04",
					"organizationCode": "10801",
					"authTeller": "0803",
					"userMediaType": "01",
					"transType": "0",
					"chargeFeeType": hisSearchpara.chargeFeeType,
					"userMediaNumber":hisSearchpara.userMediaNumber,
					"beginTime": hisSearchpara.beginTime,
					"endTime":hisSearchpara.endTime,
					"turnPageBeginPos": showNum*10,
					"turnPageShowNum": "10"
				};
			$.mbank.context.hisSearchValue = {
				"turnPageBeginPos": showNum
			};
			$.mbank._pajax("mbUserTransDetail.do", params, submitPullDownResponse);
		}
		iscrollview.refresh(null, null,
			$.proxy(function afterRefreshCallback(iscrollview) {
				this.scrollToElement(lastItemSelector, 400);
			}, iscrollview));
	}

	
	function submitPullDownResponse(data){
		if (data.ec != "0") {
			$.mbank.myAlert("ERROR:" + data.em);
			return;
		} else if (data.ec == '0') {
			var chargeFeeType=data.chargeFeeType;
			var userId=data.userId;
			var userName=data.userName;
			var userAddress=data.userAddress;
			turnPageTotalNum=data.turnPageTotalNum;
			paymentHisArray=data.userTransDetail;
			var html='';
			$.each(paymentHisArray, function(index, element) {
				var div='<ul  class="ulResult" style="width:100%" data-hiddenArray='+JSON.stringify(element)+'><li class="title"  >'+feeTypeMap[chargeFeeType]+'<span>'+$.mbank.utils.formatDate(element.transferDate)+'</span></li>';
				if(element.tranType=='缴费'){
					div+='<li style="background:#daeff3;"><span class="yellowJ">'+element.transferSum+'元</span><p>缴费</p></li>';
				}else if(element.tranType=='退费'){
					div+='<li style="background:#daeff3;"><span class="yellowJ">'+element.transferSum+'元</span><p>退费</p></li>';
					
				}else if(element.tranType=='绑定'){
					div+='<li class="icon2">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+' <p>绑定</p></li>';
					
				}else if(element.tranType=='解绑'){
					div+='<li class="icon3">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+'<p>解绑</p></li>';	
					
				}else if(element.tranType=='签约'){
					div+='<li class="icon1">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+'<p>签约</p></li>';		
					
				}else if(element.tranType=='解约'){
					div+='<li class="icon4">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+'<p>解约</p></li>';			
					
				}
				
				
				div+='</ul>';
				html+=div;
			});
			$("#hisGrid").empty().html(html);
			$("ul.ulResult").die().live("click",changeToHisDetail);
		}
		$.mbank.hideLoading();
	}

	function gotPullUpData(event, data){
		var iscrollview = data.iscrollview;
		var hisSearchpara=	$.mbank.context.hisSearchValue;
		var showNum = hisSearchpara.turnPageBeginPos;
		//var showNum = $.mbank.context.params.showNum;
		++showNum;
		
		var turnPageTotalNum=hisSearchpara.turnPageTotalNum;
		var shownum1=showNum*10;
		if(shownum1>=(turnPageTotalNum-0)){
			$.mbank.myAlert("对不起，已经是最后一页了");
			return false;
		}
		var params ={
				"currentBusinessCode": "MB000063",
				"logRecordFlag": "0",
				"channelNumber": "04",
				"organizationCode": "10801",
				"authTeller": "0803",
				"userMediaType": "01",
				"transType": "0",
				"chargeFeeType": hisSearchpara.chargeFeeType,
				"userMediaNumber":hisSearchpara.userMediaNumber,
				"beginTime": hisSearchpara.beginTime,
				"endTime":hisSearchpara.endTime,
				"turnPageBeginPos": showNum*10,
				"turnPageShowNum": "10"
			};
		$.mbank.context.hisSearchValue ={
			"turnPageBeginPos": showNum
		};
		$.mbank._pajax("mbUserTransDetail.do", params, submitPullUpResponse);

		iscrollview.refresh(null, null,
			$.proxy(function afterRefreshCallback(iscrollview){
				this.scrollToElement(lastItemSelector, 400);
			}, iscrollview));
	}

	function submitPullUpResponse(data){
		if (data.ec != "0") {
			$.mbank.myAlert("ERROR:" + data.em);
			return;
		} else if (data.ec == '0') {
			var chargeFeeType=data.chargeFeeType;
			var userId=data.userId;
			var userName=data.userName;
			var userAddress=data.userAddress;
			turnPageTotalNum=data.turnPageTotalNum;
			paymentHisArray=data.userTransDetail;
			if(paymentHisArray != null && paymentHisArray.length > 0){
				var html='';
				$.each(paymentHisArray, function(index, element){
					var div='<ul  class="ulResult" style="width:100%" data-hiddenArray='+JSON.stringify(element)+'><li class="title"  >'+feeTypeMap[chargeFeeType]+'<span>'+$.mbank.utils.formatDate(element.transferDate)+'</span></li>';
					if(element.tranType=='缴费'){
						div+='<li style="background:#daeff3;"><span class="yellowJ">'+element.transferSum+'元</span><p>缴费</p></li>';
					}else if(element.tranType=='退费'){
						div+='<li style="background:#daeff3;"><span class="yellowJ">'+element.transferSum+'元</span><p>退费</p></li>';
						
					}else if(element.tranType=='绑定'){
						div+='<li class="icon2">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+' <p>绑定</p></li>';
						
					}else if(element.tranType=='解绑'){
						div+='<li class="icon3">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+'<p>解绑</p></li>';	
						
					}else if(element.tranType=='签约'){
						div+='<li class="icon1">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+'<p>签约</p></li>';		
						
					}else if(element.tranType=='解约'){
						div+='<li class="icon4">'+$.mbank.utils.formatAccountNo(element.accountNo+'', 'hide')+'<p>解约</p></li>';			
						
					}
				
					div+='</ul>';
					html+=div;
				});
				$("#hisGrid").empty().html(html);
				$("ul.ulResult").die().live("click",changeToHisDetail);
			}else {
				$.mbank.myAlert("对不起，已经是最后一页了");
				var showNum =$.mbank.context.hisSearchValue.turnPageBeginPos;
				--showNum;
				$.mbank.context.hisSearchValue = {
						"turnPageBeginPos": showNum
				};
			}
		} 
		$.mbank.hideLoading();
	}

	function onPullDown(event, data){
		setTimeout(function fakeRetrieveDataTimeout(){
				gotPullDownData(event, data);
			},
			900);
	}

	function onPullUp(event, data){
		setTimeout(function fakeRetrieveDataTimeout(){
				gotPullUpData(event, data);
			},
			900);
	}
	function changeToHisDetail() {
		$.mbank.context.paymentHisDetail=$(this).data().hiddenarray;
		backnum = 2;
		$.mbank.goPage('paymentBusiness/paymentHistoryDetail.html');
	}
	$(document).on("pageinit", "#paymentHistoryResult",
		function bindPullPagePullCallbacks(event){
			$(".iscroll-wrapper", this).bind({
				iscroll_onpulldown: onPullDown,
				iscroll_onpullup: onPullUp
			});
		});

}(jQuery));