(function($, undefined) {
	FastClick.attach(document.body);
	$.mbank.infos = $.mbank.infos || {};
	$.extend($.mbank.infos, {
		//校验name--通用 str1为值 str2str3str4为弹窗信息
		queryName: function(str1, str2, str3, str4) {
			if ($.mbank.utils.isNoValue(str1)) {
				$.mbank.myAlert(str2);
				return false;
			} else {
				if (str1.length > 60) {
					$.mbank.myAlert(str3);
					return false;
				} else {
					if (!str1.match("[\u4e00-\u9fa5_a-zA-Z\]")) {
						$.mbank.myAlert(str4);
						return false;
					} else {
						return true;
					}
				}
			}
		},
		//校验密码 str为登录密码
		queryPassWord: function(str) {
			if ($.mbank.utils.isNoValue(str)) {
				$.mbank.myAlert("请填写密码");
				return false;
			} else {
				if (str.length < 6 || str.length > 20) {
					$.mbank.myAlert("密码须为6-20位数字和字母组合");
					return false;
				} else {
					
					return true;
				}

			}
		},
		//校验密码 str为取款密码
		queryMoneyPassWord: function(str) {
			if ($.mbank.utils.isNoValue(str)) {
				$.mbank.myAlert("请填写取款密码");
				return false;
			} else {
				if (str.length != 6) {
					$.mbank.myAlert("取款密码须为6位");
					return false;
				} else {
					
					return true;
				}

			}
		},
		//校验金额 str为金额
		queryAmount: function(str) {
			if ($.mbank.utils.isNoValue(str)) {
				$.mbank.myAlert("请填写金额");
				return false;
			} else {
				if (!str.match("^(([1-9]{1}\\d*)|([0]{1}))(\\.(\\d){0,2})?$")) {
					$.mbank.myAlert("金额不能含有非数字字符，请重新填写");
					return false;
				}
				return true;
			}
		},
		//校验短信验证码是否填写 str 为短信验证码
		queryMessage: function(str) {
			if ($.mbank.utils.isNoValue(str)) {
				$.mbank.myAlert("请填写短信验证码");
				return false;
			} else {
				return true;
			}
		},
		//校验填写的账号格式 str为账号
		querybankno: function(str) {
			if ($.mbank.utils.isNoValue(str)) {
				$.mbank.myAlert("请填写账号信息");
				return false;
			} else {
				if (!str.match("^[0-9\-]+$")) {
					$.mbank.myAlert("收款账号不能含有非法字符");
					return false;
				} else if (str.length > 60 || str.length < 11) {
					$.mbank.myAlert("账号输入不正确,账号是由11~60数字组成");
					return false;
				} else {
					return true;
				}
			}
		},
		//校验是否填写 st1 为值  str2为弹窗信息
		querybanknonull: function(str1, str2) {
			if ($.mbank.utils.isNoValue(str1)) {
				$.mbank.myAlert(str2);
				return false;
			} else {
				return true;
			}
		},
		//弹窗显示str1 第一个id str2 第二个id
		showbankdiv: function(str1, str2) {
			var show_d = document.getElementById(str1);
			var bd_d = document.getElementById(str2);
			bd_d.style.display = "block";
			show_d.style.display = "block";
			var bodyHeight = window.document.body.clientHeight;
			var showHeight = show_d.offsetHeight;
			show_d.style.top = (bodyHeight - showHeight) / 2 + "px";

			/*var page_1=document.getElementById(str3);
		   	        page_1.style.position ="fixed";
		   	        page_1.style.top="0";*/


		},
		//弹窗隐藏 str1 第一个id str2 第二个id
		hidebankdiv: function(str1, str2) {
			document.getElementById(str2).style.display = 'none';
			document.getElementById(str1).style.display = 'none';
			/* var page_1=document.getElementById(str3);
	   	         page_1.style.position ="";
	   	         page_1.style.top="0";*/
		},
		//阅读信息复选框选中或者取消 str为复选框id
		chk: function(str) {
			var chk = document.getElementById(str);
			if (chk.className == "chk checked") {
				chk.className = "chk";
			} else {
				chk.className = "chk checked";
			}
		},
		//手机号码校验
		isMobile: function(mobile) {
			if (mobile.length == 0) {
				$.mbank.myAlert('请输入手机号码！');
				return false;
			} else if (mobile.length != 11) {
				$.mbank.myAlert('请输入有效的手机号码！');
				return false;
			} else {
				return true;
			}
		},
		//s:传入的数字 ，n:希望返回小数点几位 
		fmoney: function(s, n) {
			n = n > 0 && n <= 20 ? n : 2;
			s = parseFloat((s + "").replace(/[^\d\.-]/g, "")).toFixed(n) + "";
			var l = s.split(".")[0].split("").reverse(),
				r = s.split(".")[1];
			t = "";
			for (i = 0; i < l.length; i++) {
				t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
			}
			return t.split("").reverse().join("") + "." + r;
		},
		//str 为传入的值
		checkInfo: function(str) {
			if (str.trim() == "必选") {
				$.mbank.myAlert("请选择必选信息");
				return false;
			} else {
				return true;
			}
		},
		//已签约公共卡接口
		cardInterface: function(reback) {
			var reqData = {
				"currentBusinessCode": "MB000006"
			};
			$.mbank._pajax("mbCardDetails.do", reqData, CareProcessResponse);

			function CareProcessResponse(data) {
				var oneIndexValue;
				cardInterfaceArray = new Array();
				var bankNoArrayList = new Array();
				if (data.mbAccountInfo != null && data.mbAccountInfo.length > 0) {
					var movableBankNoArrayList = data.mbAccountInfo;
					$.each(movableBankNoArrayList, function(index, element) {
						if (element.accState != "2") {
							bankNoArrayList.push(element);
						}
					});
					if (bankNoArrayList != null && bankNoArrayList.length > 0) {
						$.each(bankNoArrayList, function(index, element) {
							if (element.isDynamicAccount == "1") {
								oneIndexValue = element;
							} else {
								cardInterfaceArray.push(element);
							}
						});
						if(oneIndexValue)cardInterfaceArray.splice(0, 0, oneIndexValue);
						reback(cardInterfaceArray);
					} else {
						$.mbank.myAlert("查询无签约卡信息");
						reback("");
					}
				}
				console.log(cardInterfaceArray);
				$.mbank.hideLoading();
			}
		},
		//可动帐公共卡接口
		movableCardInterface: function(reback) {
			var reqData = {
				"currentBusinessCode": "MB000006"
			};
			$.mbank._pajax("mbCardDetails.do", reqData, CareProcessResponse);

			function CareProcessResponse(data) {
				var oneIndexValue;
				cardInterfaceArray = new Array();
				var bankNoArrayList = new Array();
				if (data.mbAccountInfo != null && data.mbAccountInfo.length > 0) {
					var movableBankNoArrayList = data.mbAccountInfo;
					$.each(movableBankNoArrayList, function(index, element) {
						if (element.accState == "1") {
							//（0：网上普通签约；1：柜台签约；2：未签约）
							console.log("");
							bankNoArrayList.push(element);
						}
					});
					if (bankNoArrayList != null && bankNoArrayList.length > 0) {
						$.each(bankNoArrayList, function(index, element) {
							if (element.isDynamicAccount == "1") {
								console.log("");
								oneIndexValue = element;
								console.log(element);
							} else {
								cardInterfaceArray.push(element);
							}
						});
						if(null != oneIndexValue){
							cardInterfaceArray.splice(0, 0, oneIndexValue);
						}else{
						}
						reback(cardInterfaceArray);
					} else {
						$.mbank.myAlert("您没有可动账的账户信息");
						reback("");
					}
				}
				console.log(cardInterfaceArray);
				$.mbank.hideLoading();
			}
		}
	});
})(jQuery)