
/**
 * jQuery format - v1.0
 * auth: shenmq
 * E-mail: shenmq@yuchengtech.com
 * website: shenmq.github.com
 *
 */
 
(function( $, undefined ) {
	
	$.mbank.param = $.mbank.param || {};
	
	$.extend( $.mbank.param, {
		
		//存款类型
		DEPOSIT_TYPE: {
			'0': '定期存款',
			'1': '活期存款'
		},
		CURRENCY_TYPE_CODE: {
			'01':'人民币',
			'14': '美元' ,
			'13': '港币' ,
			'38': '欧元' ,
			'27': '日元' ,
			'16': '卢布' ,
			'12': '英镑' , 
			'18': '新加坡元', 
			'28': '加元', 
			'29': '澳元', 
			'87': '新西兰元'
		},
		//时间类型
		DateType_Code:{
			'D' : '天',
			'M' : '月',
			'Y' : '年',
			'd' : '天',
			'm' : '月',
			'y' : '年',
			'日' : '天',
			'月' : '月',
			'年' : '年',
			'R' : '其他'
		},
		
		//存款状态
		DEPOSIT_STATE: {
			'0': '正常',
			'1': '到期'
		},
		CERTTYPE: {	//核心证件类型
			'01': '身份证 ' ,
			'02': '军官证' ,
			'03': '户口簿' ,
			'04': '警官证' ,
			'05': '解放军士兵证' ,
			'06': '护照' ,
			'07': '港澳台居民通行证' ,
			'08': '解放军文职干部证' ,
			'16': '解放军离休干部荣誉证' ,
			'24': '军官退休证' ,
			'25': '文职干部退休证' ,
			'26': '军事院校学员证' ,
			'31': '武警士兵证' ,
			'33': '武警文职干部证' ,
			'34': '武警军官退休证' ,
			'35': '武警文职干部退休证' ,
			'52': '营业执照' ,
			'99': '其他(对公)' 
		},
		//客户风险等级
		CUST_RISK_LEVEL: {
				'1': '保守型',
				'2': '稳健型',
				'3': '平衡型',
				'4': '成长型',
				'5': '进取型'
		},
		//产品风险等级
		PROD_RISK_LEVEL: {
				'1': '低风险',
				'2': '中低风险',
				'3': '中等风险',
				'4': '较高风险',
				'5': '高风险'
		},
		//收益类型
		PROFIT_TYPE: {
				'1': '非保本浮动收益',
				'2': '保本浮动收益',
				'3': '保证收益'
		},
		//产品类型
		PRODUCT_TYPE: {
				'1': '开放型',
				'2': '封闭型'
		},
		/**
		 * 根据类型名称 和id获取value
		 * @param appName 类型名称
		 * @param appValue 类型id
		 * @returns
		 */
		getDisplay: function( appName, appValue ){
		
		    var map =null;
			
			if(typeof(appName)==='string'){
				map =$.mbank.param[ appName ];
			}else{
				map=appName;
			}
			if ( !map ) {
			
				return null;
			}
			appValue=$.trim(appValue);
			if(map[appValue]==undefined||map[appValue]=='undefined'){
				return appValue;
			}
			
			return map[appValue];
		},

		translateSysFlag:function(errorCode){
			var errorTran=errorCode.substring(0,6);
			var errorList=$.mbank.param[ 'ERRCODE_SYS_FLAG' ];
			
			for(var key in errorList){
				if(key==errorTran){
					var sys= $.mbank.param.getDisplay('ERRCODE_SYS_FLAG',errorTran);
					
					return sys+'▪'+errorCode.substring(6);
				}
				
			}
			
			return errorCode;
		},
		trim: function(input){
			return input.replace(/(^\s*)|(\s*$)/g, "");
		},
		isEmpty: function(input){
			if( input==null ||  $.mbank.param.trim(input).length == 0 || input == 'null')
				return true;
			else
				return false;
			
		}
		
	});
	
})(jQuery)